require( "scripts/style.lua" );

SliderFont = {
  standardFont,
  16,
  WhiteColor
};


MakeDialog
{
	-- Name the modal dialog
	name="optionsmenu",
	Bitmap
	{
		image="backgrounds/options",
		x = kCenter,
		y = kCenter,
		
		OptionsWindow
		{
			x=0,y=0,w=kMax,h=kMax,
			
			Text
			{
				font = SliderFont,
				name = "sfx",
				x=40,y=110,w=50,h=50,
				flags = kHAlignCenter + kVAlignCenter,
				label = "sfxlevel"
			};
		
			Text
			{
				font = SliderFont,
				name = "music",
				x=40,y=180,w=50,h=50,
				flags = kHAlignCenter + kVAlignCenter,
				label = "musiclevel"
			};

			SetStyle(CheckboxButtonStyle),			
			Button{
				name="fullscreen",
				x=30,
				y=220,
				w=150,
				Text
				{
					font = WhiteButtonFont,
					name = "fullscreenlabel",
					x=54,
					y=25,
					w=kMax,
					h=kMax,
					flags = kHAlignLeft + kVAlignTop,
					label="fullscreen",
				};
				command=
				function()
					if (ToggleFullScreen() == false) then
						DisplayDialog { 
							"scripts/ok.lua", 
							body ="screenswitchfailed",
							title = "playground" 
						};
					end
				end
				
			};
			
			Button{
				name="mutebox",
				x=205,
				y=220,
				w=175,
				Text
				{
					font = WhiteButtonFont,
					name = "mutesoundlabel",
					x=54,
					y=25,
					w=kMax,
					h=kMax,
					flags = kHAlignLeft + kVAlignTop,
					label="mutesound",
				};
				command =
					function()
						ToggleSoundMute();
					end
			};
			
			SetStyle(RadioButtonStyle),
			BeginGroup(),
			Button{
				name="music1",
				x=kCenter + 20,
				y=270,
				w=175,
				Text
				{
					font = WhiteButtonFont,
					name = "music1",
					x=54,
					y=25,
					w=kMax,
					h=kMax,
					flags = kHAlignLeft + kVAlignTop,
					label = "music1",
				};
				command =
					function()
						if( GetGameRunning() ) then
							ChangeMusic( 0 );
						end
						
						SetMusic( 0 );
					end
			};
			Button{
				name="music2",
				x=kCenter + 20,
				y=305,
				w=175,
				Text
				{
					font = WhiteButtonFont,
					name = "music2",
					x=54,
					y=25,
					w=kMax,
					h=kMax,
					flags = kHAlignLeft + kVAlignTop,
					label = "music2",
				};
				command =
					function()
						if( GetGameRunning() ) then
							ChangeMusic( 1 );
						end
						
						SetMusic( 1 );
					end
			};
			Button{
				name="music3",
				x=kCenter + 20,
				y=340,
				w=175,
				Text
				{
					font = WhiteButtonFont,
					name = "music3",
					x=54,
					y=25,
					w=kMax,
					h=kMax,
					flags = kHAlignLeft + kVAlignTop,
					label = "music3",
				};
				command =
					function()
						if( GetGameRunning() ) then
							ChangeMusic( 2 );
						end

						SetMusic( 2 );
					end
			};

			SetStyle(ButtonStyle),
			Button
			{
				x = kCenter-80,
				y = kMax-100,
				name="back",
				label="back",
				type = kPush,
				command =
					function()
						SaveVolumes();
						PopModal("optionsmenu");
					end
			},
			
			Button
			{
				x = kCenter+80,
				y = kMax-100,
				name="credits",
				label="credits",
				type = kPush,
				command =
					function()
						DoModal("scripts/credits.lua");
					end
			},

			SetStyle(SliderStyle),
			Slider
			{
				name="sfxlevelslider",
				x = 100,
				y = 116,
				w = 270,
			};
			
			Slider
			{
				name="musiclevelslider",
				x = 100,
				y = 186,
				w = 270,
			};
		},
	},
}